summaryrefslogtreecommitdiff
path: root/Biz/Ide/ship.sh
diff options
context:
space:
mode:
Diffstat (limited to 'Biz/Ide/ship.sh')
-rwxr-xr-xBiz/Ide/ship.sh25
1 files changed, 25 insertions, 0 deletions
diff --git a/Biz/Ide/ship.sh b/Biz/Ide/ship.sh
new file mode 100755
index 0000000..8783e9b
--- /dev/null
+++ b/Biz/Ide/ship.sh
@@ -0,0 +1,25 @@
+#!/usr/bin/env bash
+#
+# ship <target>...
+#
+# lint, bild, test, and push one or more targets. if no targets are supplied,
+# ship everything we know how to ship
+##
+ set -eu
+ stuff=("${@}")
+ if [[ ${#stuff[@]} -eq 0 ]]
+ then
+ mapfile -t stuff < <(fd -t l . "$CODEROOT/_/nix/" \
+ | sed "s,$CODEROOT/_/nix/,,g" \
+ | fzf --multi --prompt="ship _/nix/" \
+ --preview="file $CODEROOT/_/nix/{}" \
+ --preview-window=bottom,wrap
+ )
+ fi
+ lint "${stuff[@]}"
+ bild --test "${stuff[@]}"
+ for thing in "${stuff[@]}"
+ do
+ push.sh "$thing"
+ done
+##